//
//  ProfilePresentationCell.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 18/08/2025.
//

import SwiftUI

struct ProfilePresentationCell: View {
    var presentationText: String

    var body: some View {
        VStack(alignment: .leading) {
            HStack {
                SQText("« \(presentationText) »")
                    .sqSize(18)
                    .multilineTextAlignment(.leading)
                Spacer()
            }
            .frame(maxWidth: .infinity)
            .padding(16)
            .background {
                Rectangle()
                    .fill(Color.sqNeutral(10))
            }
            .cornerRadius(8, corners: [.topLeft, .topRight, .bottomLeft])
        }
        .padding(16)
        .background(Color.white)
    }
}

#Preview {
    ProfilePresentationCell(presentationText: "Hello zfopze greozj giorezjgogiijrzg iezjg ooijfzgio dfiozjg oirezj jeoizkg ok,ezkog, oeizg,o o,zojrezov oez,vov eziov ezio, ezoi,vio ez,vio,e ozv,oi,zirziii")
        .padding()
}
